## org.eclipse.emf.ecore.xmi.impl
Class XMLSaveImpl.Lookup

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl.Lookup

Enclosing class:
  XMLSaveImpl

    protected static class XMLSaveImpl.Lookup

extends java.lang.Object

Nested Class Summary
`protected static class` `XMLSaveImpl.Lookup.FeatureClassifierPair`

Field Summary
`protected EClass[]` `classes`
`protected java.util.ArrayList<EObject>` `docRoots`
`protected XMLResource.ElementHandler` `elementHandler`
`protected ExtendedMetaData` `extendedMetaData`
`protected XMLSaveImpl.Lookup.FeatureClassifierPair` `featureClassifierPair`
`protected int[][]` `featureKinds`
`protected EStructuralFeature[][]` `features`
`protected XMLResource.XMLMap` `map`
`protected static int` `MASK`
`protected static EStructuralFeature` `NULL_FEATURE`
`protected static int` `SHIFT`
`protected static int` `SIZE`
`protected java.util.Map<XMLSaveImpl.Lookup.FeatureClassifierPair,EStructuralFeature>` `substitutionGroupMap`

Constructor Summary
`XMLSaveImpl.Lookup(XMLResource.XMLMap map)`
`XMLSaveImpl.Lookup(XMLResource.XMLMap map, ExtendedMetaData extendedMetaData)`
`XMLSaveImpl.Lookup(XMLResource.XMLMap map, ExtendedMetaData extendedMetaData, XMLResource.ElementHandler elementHandler)`

Method Summary
`protected int` `featureKind(EStructuralFeature f)`
`EClass` `getDocumentRoot(EPackage epackage)`
`EStructuralFeature[]` `getFeatures(EClass cls)`
`protected int` `getIndex(EClass cls)`
`int[]` `getKinds(EClass cls, EStructuralFeature[] featureList)`
`EStructuralFeature` `getRoot(EClassifier eClassifier)`
`EStructuralFeature` `getSubstitutionGroup(EStructuralFeature eStructuralFeature, EClassifier eClassifier)`
`protected EStructuralFeature[]` `listFeatures(EClass cls)`
`protected int[]` `listKinds(EStructuralFeature[] featureList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHIFT

    protected static final int SHIFT

See Also:
  Constant Field Values

### SIZE

    protected static final int SIZE

See Also:
  Constant Field Values

### MASK

    protected static final int MASK

See Also:
  Constant Field Values

### classes

    protected EClass[] classes

### features

    protected EStructuralFeature[][] features

### featureKinds

    protected int[][] featureKinds

### map

    protected XMLResource.XMLMap map

### extendedMetaData

    protected ExtendedMetaData extendedMetaData

### docRoots

    protected java.util.ArrayList<EObject> docRoots

### elementHandler

    protected XMLResource.ElementHandler elementHandler

### featureClassifierPair

    protected XMLSaveImpl.Lookup.FeatureClassifierPair featureClassifierPair

### substitutionGroupMap

    protected java.util.Map<XMLSaveImpl.Lookup.FeatureClassifierPair,EStructuralFeature> substitutionGroupMap

### NULL_FEATURE

    protected static final EStructuralFeature NULL_FEATURE

Constructor Detail

### XMLSaveImpl.Lookup

    public XMLSaveImpl.Lookup(XMLResource.XMLMap map)

### XMLSaveImpl.Lookup

    public XMLSaveImpl.Lookup(XMLResource.XMLMap map,
                              ExtendedMetaData extendedMetaData)

### XMLSaveImpl.Lookup

    public XMLSaveImpl.Lookup(XMLResource.XMLMap map,
                              ExtendedMetaData extendedMetaData,
                              XMLResource.ElementHandler elementHandler)

Method Detail

### getDocumentRoot

    public EClass getDocumentRoot(EPackage epackage)

### getFeatures

    public EStructuralFeature[] getFeatures(EClass cls)

### getKinds

    public int[] getKinds(EClass cls,
                          EStructuralFeature[] featureList)

### getSubstitutionGroup

    public EStructuralFeature getSubstitutionGroup(EStructuralFeature eStructuralFeature,
                                                   EClassifier eClassifier)

### getRoot

    public EStructuralFeature getRoot(EClassifier eClassifier)

### getIndex

    protected int getIndex(EClass cls)

### listFeatures

    protected EStructuralFeature[] listFeatures(EClass cls)

### listKinds

    protected int[] listKinds(EStructuralFeature[] featureList)

### featureKind

    protected int featureKind(EStructuralFeature f)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.